## org.codehaus.groovy.grails.plugins.web.taglib
Class ApplicationTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.ApplicationTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject, InitializingBean, ApplicationContextAware

    public class ApplicationTagLib

extends Object
implements ApplicationContextAware, InitializingBean, groovy.lang.GroovyObject

Constructor Summary
`ApplicationTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `afterPropertiesSet()`
`ApplicationContext` `getApplicationContext()`
`Object` `getCookie()`
`Object` `getCreateLink()`
`Object` `getCreateLinkTo()`
`Object` `getGrailsUrlMappingsHolder()`
`Object` `getHeader()`
`Object` `getLink()`
`Object` `getMeta()`
`groovy.lang.MetaClass` `getMetaClass()`
`GrailsPluginManager` `getPluginManager()`
`Object` `getProperty(String property)`
`Object` `getResource()`
`static Object` `getSCOPES()`
`Object` `getSet()`
`boolean` `getUseJsessionId()`
`Object` `getWithTag()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isUseJsessionId()`
`String` `makeServerURL()`
`void` `setApplicationContext(ApplicationContext value)`
`void` `setCookie(Object value)`
`void` `setCreateLink(Object value)`
`void` `setCreateLinkTo(Object value)`
`void` `setGrailsUrlMappingsHolder(Object value)`
`void` `setHeader(Object value)`
`void` `setLink(Object value)`
`void` `setMeta(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPluginManager(GrailsPluginManager value)`
`void` `setProperty(String property, Object value)`
`void` `setResource(Object value)`
`void` `setSet(Object value)`
`void` `setUseJsessionId(boolean value)`
`void` `setWithTag(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationTagLib

    public ApplicationTagLib()

Method Detail

### getApplicationContext

    public ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(ApplicationContext value)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

### getPluginManager

    public GrailsPluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(GrailsPluginManager value)

### getGrailsUrlMappingsHolder

    public Object getGrailsUrlMappingsHolder()

### setGrailsUrlMappingsHolder

    public void setGrailsUrlMappingsHolder(Object value)

### getSCOPES

    public static Object getSCOPES()

### getUseJsessionId

    public boolean getUseJsessionId()

### isUseJsessionId

    public boolean isUseJsessionId()

### setUseJsessionId

    public void setUseJsessionId(boolean value)

### getCookie

    public Object getCookie()

### setCookie

    public void setCookie(Object value)

### getHeader

    public Object getHeader()

### setHeader

    public void setHeader(Object value)

### getSet

    public Object getSet()

### setSet

    public void setSet(Object value)

### getCreateLinkTo

    public Object getCreateLinkTo()

### setCreateLinkTo

    public void setCreateLinkTo(Object value)

### getResource

    public Object getResource()

### setResource

    public void setResource(Object value)

### getLink

    public Object getLink()

### setLink

    public void setLink(Object value)

### getCreateLink

    public Object getCreateLink()

### setCreateLink

    public void setCreateLink(Object value)

### getWithTag

    public Object getWithTag()

### setWithTag

    public void setWithTag(Object value)

### getMeta

    public Object getMeta()

### setMeta

    public void setMeta(Object value)

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### makeServerURL

    public String makeServerURL()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project